Update temporary address
/temporary_address/update
Target audience: Developers
Update temporary address¶
Introduction¶
This endpoint updates an existing temporary address.
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v1/temporary_address/update |
| Production | https://backend.worldoftulo.com/external/api/v1/temporary_address/update |
Requirements¶
| Identity | Scope |
|---|---|
| No | /external/distribution/w |
Parameters¶
| Field | Required | Type | Description |
|---|---|---|---|
| id | Required | String | The id of the temporary address to update. Max length: 50 |
| address_from | Optional | String | Start date for the temporary address. Max length: 25 |
| address_to | Required | String | End date for the temporary address. Max length: 25 |
| distribution_method | Optional | String | The distribution method to use. Max length: 50 |
| address | Optional | Hash | The address details. See Payway Address. |
Curl Example¶
Update¶
curl --request PUT \
--url https://payway-api.stage.adeprimo.se/external/api/v1/temporary_address/update \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '{
"id": "<temporary_address_id>",
"address_to": "2026-05-15",
"distribution_method": "<distribution_method>",
"address": {
...
}
}'
Response¶
The response contains address data following the Payway Address contract.
Successful response¶
HTTP 200
{
"id": "<temporary_address_id>"
}
Errors¶
This API uses the common error conventions of the Payway API